summaryrefslogtreecommitdiff
path: root/source4/scripting/devel
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2010-05-06 15:22:11 +0200
committerAndrew Tridgell <tridge@samba.org>2010-05-06 15:25:18 +0200
commit9ba08c22e807b8b3e744dc3146dbca4083e3e2f4 (patch)
treec6cd188293759892c3394949f166a61bcd5d88d1 /source4/scripting/devel
parentc61f4dcc0f9611448e726e203d65c674e4d74427 (diff)
downloadsamba-9ba08c22e807b8b3e744dc3146dbca4083e3e2f4.tar.gz
samba-9ba08c22e807b8b3e744dc3146dbca4083e3e2f4.tar.bz2
samba-9ba08c22e807b8b3e744dc3146dbca4083e3e2f4.zip
s4-devel: a useful script for giving DRS replication demos
Diffstat (limited to 'source4/scripting/devel')
-rw-r--r--source4/scripting/devel/watch_servers.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/source4/scripting/devel/watch_servers.sh b/source4/scripting/devel/watch_servers.sh
new file mode 100644
index 0000000000..48209cbe46
--- /dev/null
+++ b/source4/scripting/devel/watch_servers.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+[ $# -ge 3 ] || {
+ echo "Usage: watch_servers.sh DB1 DB2 PASSWORD SEARCH <attrs>"
+ exit 1
+}
+
+host1="$1"
+host2="$2"
+password="$3"
+search="$4"
+shift 4
+
+watch -n1 "echo '$host1:'; bin/ldbsearch -S -H $host1 -Uadministrator%$password '$search' description $* | egrep -v '^ref|Ref|returned|entries|referrals' | uniq; echo; echo '$host2:'; bin/ldbsearch -S -H $host2 -Uadministrator%$password '$search' description $* | egrep -v '^ref|Ref|returned|entries|referrals' | uniq;"